Subject: dla Grazyny

From: Andrzej Rabiecny <[email-masked]>
Date: Tue, 5 Nov 1996 08:59:28 +0100 (MET)

The original text is removed here.
So the Content-Length field is wrong now.
Probably the original mail contains the correct length.
------------------------------------------------------------------------------
The problem is ( I think ) related to two fields :
	Content-Type: Message/rfc822
	Content-Type: text
Pine 3.95 thinks there are two parts :
------------------------------------------------------------------------------
Date: Tue, 5 Nov 1996 08:59:28 +0100 (MET)
From: Andrzej Rabiecny <[email-masked]>
To: Grazyna Holeczek <[email-masked]>
Subject: dla Grazyny
Parts/attachments:
   1   Shown   136 bytes  Message                                       
   1.1 Shown     0 lines  Text                                          
----------------------------------------

  [ Part 1: "Included Message" ]
------------------------------------------------------------------------------
Note that it does NOT display the text of the message here.
Then I try "View" and I get :
------------------------------------------------------------------------------
   1      136 bytes   Message/RFC822                                    
   1.1      0 lines   Text/PLAIN                                        
------------------------------------------------------------------------------
I tried this on HP-UX 9.1
When I try "View" for #1.1 I get nothing on my screen ( [ALL of text] ).
When I try "View" for #1 - in 30 percent of trials I get the text of this
message on my screen, but in the remaining 70 percent of trials I get :
	[VIEWER command launched]
Here are some details :
------------------------------------------------------------------------------
Details about Attachment #1 :

                Type            : Message
                Subtype         : RFC822
                Encoding        : 7BIT
                Approx. Size    : 136 bytes
                Display Method  : "cat  < <datafile>"

Details about Attachment #1.1 :

                Type            : Text
                Subtype         : PLAIN
                Encoding        : 7BIT
                Parameters      : CHARSET = US-ASCII
                Approx. Size    : 0 bytes
                Display Method  : Pine's Internal Pager
------------------------------------------------------------------------------
The /usr/local/etc/mailcap contains :
-----------
message/rfc822; cat %
-----------
The /usr/local/etc/mime.types contains :
-----------
text/plain       txt
message/rfc822
-----------
( Nothing is defined for message/rfc822. )
Could anyone help me.
Thanks in advance,
Jacek.
P.S. I think, I have also found a problem in .mailcap with Netscape :
             #mailcap entry added by Netscape Helper
             text/plain;;\
                    x-mozilla-flags=internal
     If I leave this entry in my .mailcap ( which was automatically
     added by Netscape ), I get always [VIEWER command launched] for
     #1.1 which is seen in this case as :
------------------------------------------------------------------------------
Details about Attachment #1.1 :

                Type            : Text
                Subtype         : PLAIN
                Encoding        : 7BIT
                Parameters      : CHARSET = US-ASCII
                Approx. Size    : 0 bytes
                Display Method  : " < <datafile>"
------------------------------------------------------------------------------
     Jacek.